#!/usr/bin/env python
# coding=utf-8
"""
Copyright © Huawei Technologies Co., Ltd. 2001-2019. All rights reserved.
description     :   list cproc csdr hrpd msg
modify  record  :   2016-03-10 create file
"""

cproc_csdr_hrpd_msg_enum_table_0000 = {
    0x4000  : "ID_CPROC_CSDR_HRPD_ACTIVE_REQ",                          
    0x4001  : "ID_CSDR_CPROC_HRPD_ACTIVE_CNF",                          
    0x4002  : "ID_CPROC_CSDR_HRPD_SLEEP_REQ",                           
    0x4003  : "ID_CSDR_CPROC_HRPD_SLEEP_CNF",                           
    0x4004  : "ID_CPROC_CSDR_HRPD_SET_MODE_REQ",                        
    0x4005  : "ID_CSDR_CPROC_HRPD_SET_MODE_CNF",                        
    0x4006  : "ID_CPROC_CSDR_HRPD_CM_RESET_REQ",                        
    0x4007  : "ID_CSDR_CPROC_HRPD_CM_RESET_CNF",                        
    0x4008  : "ID_CPROC_CSDR_HRPD_RXON_REQ",                            
    0x4009  : "ID_CSDR_CPROC_HRPD_RXON_CNF",                            
    0x400A  : "ID_CPROC_CSDR_HRPD_RXOFF_REQ",                           
    0x400B  : "ID_CSDR_CPROC_HRPD_RXOFF_CNF",                           
    0x400C  : "ID_CPROC_CSDR_HRPD_CC_START_REQ",                        
    0x400D  : "ID_CSDR_CPROC_HRPD_CC_START_CNF",                        
    0x400E  : "ID_CSDR_CPROC_HRPD_CC_DONE_IND",                         
    0x400F  : "ID_CPROC_CSDR_HRPD_CC_STOP_REQ",                         
    0x4010  : "ID_CSDR_CPROC_HRPD_CC_STOP_CNF",                         
    0x4011  : "ID_CPROC_CSDR_HRPD_AC_START_REQ",                        
    0x4012  : "ID_CSDR_CPROC_HRPD_AC_START_CNF",                        
    0x4013  : "ID_CSDR_CPROC_HRPD_AC_START_IND",                        
    0x4014  : "ID_CPROC_CSDR_HRPD_AC_STOP_REQ",                         
    0x4015  : "ID_CSDR_CPROC_HRPD_AC_STOP_CNF",                         
    0x4016  : "ID_CSDR_CPROC_HRPD_AC_ERROR_IND",                        
    0x4017  : "ID_CPROC_CSDR_HRPD_TCH_START_REQ",                       
    0x4018  : "ID_CSDR_CPROC_HRPD_TCH_START_CNF",                       
    0x4019  : "ID_CPROC_CSDR_HRPD_TCH_MAINTAIN_REQ",                    
    0x401A  : "ID_CSDR_CPROC_HRPD_TCH_MAINTAIN_IND",                    
    0x401B  : "ID_CPROC_CSDR_HRPD_TCH_RECONFIG_REQ",                    
    0x401C  : "ID_CSDR_CPROC_HRPD_TCH_RECONFIG_CNF",                    
    0x401D  : "ID_CPROC_CSDR_HRPD_TCH_STOP_REQ",                        
    0x401E  : "ID_CSDR_CPROC_HRPD_TCH_STOP_CNF",                        
    0x401F  : "ID_CPROC_CSDR_HRPD_SET_SYSTIME_REQ",                     
    0x4020  : "ID_CSDR_CPROC_HRPD_SET_SYSTIME_CNF",                     
    0x4021  : "ID_CPROC_CSDR_HRPD_TIME_REFERENCE_REQ",                  
    0x4022  : "ID_CSDR_CPROC_HRPD_DRCLOCK_IND",                         
    0x4023  : "ID_CSDR_CPROC_HRPD_DRC_IND",                             
    0x4024  : "ID_CPROC_CSDR_HRPD_SUSPEND_REQ",                         
    0x4025  : "ID_CSDR_CPROC_HRPD_SUSPEND_CNF",                         
    0x4026  : "ID_CPROC_CSDR_HRPD_RESUME_REQ",                          
    0x4027  : "ID_CSDR_CPROC_HRPD_RESUME_CNF",                          
    0x4028  : "ID_CSDR_CPROC_HRPD_GAP_START_IND",                       
    0x4029  : "ID_CSDR_CPROC_HRPD_GAP_END_IND",                         
    0x402A  : "ID_CSDR_CPROC_HRPD_WAKEUP_IND",                          
    0x402B  : "ID_CPROC_CSDR_HRPD_INT_REQ",                             
    0x402C  : "ID_CSDR_CPROC_HRPD_INT2_IND",                            
    0x402D  : "ID_CSDR_CPROC_HRPD_INT3_IND",                            
    0x402E  : "ID_CPROC_CSDR_HRPD_AFC_PPM_REQ",                         
    0x402F  : "ID_CSDR_CPROC_HRPD_AFC_PPM_IND",                         
    0x4030  : "ID_CSDR_CPROC_HRPD_ERROR_IND",                           
    0x4031  : "ID_CSDR_CPROC_HRPD_FRAME_HEAD_IND",                      
    0x4032  : "ID_CPROC_CSDR_HRPD_REL_ALL_REQ",                         
    0x4033  : "ID_CSDR_CPROC_HRPD_REL_ALL_CNF",                         
    0x4034  : "ID_CPROC_CSDR_HRPD_TIME_SYNC_REQ",                       
    0x4035  : "ID_CSDR_CPROC_HRPD_TIME_SYNC_IND",                       
    0x4036  : "ID_CPROC_CSDR_HRPD_CONNECTION_STATUS_REQ",               
    0x4037  : "ID_CPROC_CSDR_HRPD_CC_RECONFIG_REQ",                     
    0x4038  : "ID_CPROC_CSDR_HRPD_LPHY_WAKEUP_REQ",                     
    0x4039  : "ID_CSDR_CPROC_HRPD_LPHY_WAKEUP_CNF",                     
    0x403A  : "ID_CSDR_CPROC_HRPD_LPHY_WAKEUP_IND",                     
    0x403B  : "ID_CPROC_CSDR_HRPD_LPHY_SLEEP_REQ",                      
    0x403C  : "ID_CPROC_CSDR_HRPD_LPHY_CANCEL_WAKEUP_REQ",              
    0x403D  : "ID_CSDR_CPROC_HRPD_LPHY_CANCEL_WAKEUP_CNF",              
    0x403E  : "ID_CPROC_CSDR_HRPD_SAR_CTRL_REQ",                        
    0x403F  : "ID_CPROC_CSDR_HRPD_SET_TEMPERATURE_REQ",                 
    0x4040  : "ID_CPROC_CSDR_HRPD_WAKEUP_REQ",                          
    0x4041  : "ID_CPROC_CSDR_HRPD_TCH_FLOW_STATUS_NTF",
    0x4042  : "ID_CSDR_CHR_HRPD_MSG_IND",                        
    0x4043  : "ID_CPROC_CSDR_HRPD_SLAVE_TASK_END_REQ",                 
    0x4044  : "ID_CPROC_CSDR_HRPD_GET_LTE_TIMING_REQ",                          
    0x4045  : "ID_CSDR_CPROC_HRPD_VE_MODE_IND",
    0x4046  : "ID_CSDR_CPROC_HRPD_CAPABILITY_IND",                 
    0x4047  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_TIMING_REQ",                          
    0x4048  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_TIMING_CNF",
    0x4049  : "ID_CSDR_CPROC_HRPD_SET_ET_DELAY_REQ",
    0x404A  : "ID_CSDR_CPROC_HRPD_TIME_REFERENCE_IND",
    0x4100  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_REQ",
    0x4101  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_IND",
    0x4102  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_STOP_REQ",
    0x4103  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_STOP_CNF",
    0x4104  : "ID_CPROC_CSDR_HRPD_SIGNAL_LEVEL_REQ",
    0x4105  : "ID_CSDR_CPROC_HRPD_SIGNAL_LEVEL_IND",
    0x4106  : "ID_CPROC_CSDR_HRPD_MEAS_REQ",
    0x4107  : "ID_CPROC_CSDR_HRPD_STOP_MEAS_REQ",
    0x4108  : "ID_CSDR_CPROC_HRPD_MEAS_IND",
    0x4109  : "ID_CSDR_CRPOC_HRPD_MEAS_REPORT_IND",
    0x410A  : "ID_CPROC_CSDR_HRPD_MPS_REQ",
    0x410B  : "ID_CSDR_CPROC_HRPD_MPS_IND",
    0x410C  : "ID_CPROC_CSDR_HRPD_STOP_MPS_REQ",
    0x410D  : "ID_CSDR_CPROC_HRPD_STOP_MPS_CNF",
    0x410E  : "ID_CPROC_CSDR_HRPD_SM_RESET_REQ",
    0x410F  : "ID_CSDR_CPROC_HRPD_SM_RESET_CNF",
    0x4110  : "ID_CPROC_CSDR_HRPD_SLAVE_TIMING_REQ",
    0x4111  : "ID_CSDR_CPROC_HRPD_SLAVE_TIMING_CNF",
    0x4112  : "ID_CSDR_CPROC_HRPD_MEAS_BUF_FINISH_IND",
    0x4113  : "ID_CSDR_CPROC_HRPD_SLAVE_TIMING_IND",
    0x4114  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_SUSPEND_REQ",
    0x4115  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_SUSPEND_CNF",
    0x4116  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_RESUME_REQ",
    0x4117  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_RESUME_CNF",
    0x4118  : "ID_CPROC_CSDR_HRPD_SLAVE_TIMING_STOP_REQ",
    0x4119  : "ID_CSDR_CPROC_HRPD_PS_BUF_FINISH_IND",
}

cproc_csdr_hrpd_msg_enum_table_0100 = {
    0x4000  : "ID_CPROC_CSDR_HRPD_ACTIVE_REQ",                          
    0x4001  : "ID_CSDR_CPROC_HRPD_ACTIVE_CNF",                          
    0x4002  : "ID_CPROC_CSDR_HRPD_SLEEP_REQ",                           
    0x4003  : "ID_CSDR_CPROC_HRPD_SLEEP_CNF",                           
    0x4004  : "ID_CPROC_CSDR_HRPD_SET_MODE_REQ",                        
    0x4005  : "ID_CSDR_CPROC_HRPD_SET_MODE_CNF",                        
    0x4006  : "ID_CPROC_CSDR_HRPD_CM_RESET_REQ",                        
    0x4007  : "ID_CSDR_CPROC_HRPD_CM_RESET_CNF",                        
    0x4008  : "ID_CPROC_CSDR_HRPD_RXON_REQ",                            
    0x4009  : "ID_CSDR_CPROC_HRPD_RXON_CNF",                            
    0x400A  : "ID_CPROC_CSDR_HRPD_RXOFF_REQ",                           
    0x400B  : "ID_CSDR_CPROC_HRPD_RXOFF_CNF",                           
    0x400C  : "ID_CPROC_CSDR_HRPD_CC_START_REQ",                        
    0x400D  : "ID_CSDR_CPROC_HRPD_CC_START_CNF",                        
    0x400E  : "ID_CSDR_CPROC_HRPD_CC_DONE_IND",                         
    0x400F  : "ID_CPROC_CSDR_HRPD_CC_STOP_REQ",                         
    0x4010  : "ID_CSDR_CPROC_HRPD_CC_STOP_CNF",                         
    0x4011  : "ID_CPROC_CSDR_HRPD_AC_START_REQ",                        
    0x4012  : "ID_CSDR_CPROC_HRPD_AC_START_CNF",                        
    0x4013  : "ID_CSDR_CPROC_HRPD_AC_START_IND",                        
    0x4014  : "ID_CPROC_CSDR_HRPD_AC_STOP_REQ",                         
    0x4015  : "ID_CSDR_CPROC_HRPD_AC_STOP_CNF",                         
    0x4016  : "ID_CSDR_CPROC_HRPD_AC_ERROR_IND",                        
    0x4017  : "ID_CPROC_CSDR_HRPD_TCH_START_REQ",                       
    0x4018  : "ID_CSDR_CPROC_HRPD_TCH_START_CNF",                       
    0x4019  : "ID_CPROC_CSDR_HRPD_TCH_MAINTAIN_REQ",                    
    0x401A  : "ID_CSDR_CPROC_HRPD_TCH_MAINTAIN_IND",                    
    0x401B  : "ID_CPROC_CSDR_HRPD_TCH_RECONFIG_REQ",                    
    0x401C  : "ID_CSDR_CPROC_HRPD_TCH_RECONFIG_CNF",                    
    0x401D  : "ID_CPROC_CSDR_HRPD_TCH_STOP_REQ",                        
    0x401E  : "ID_CSDR_CPROC_HRPD_TCH_STOP_CNF",                        
    0x401F  : "ID_CPROC_CSDR_HRPD_SET_SYSTIME_REQ",                     
    0x4020  : "ID_CSDR_CPROC_HRPD_SET_SYSTIME_CNF",                     
    0x4021  : "ID_CPROC_CSDR_HRPD_TIME_REFERENCE_REQ",                  
    0x4022  : "ID_CSDR_CPROC_HRPD_DRCLOCK_IND",                         
    0x4023  : "ID_CSDR_CPROC_HRPD_DRC_IND",                             
    0x4024  : "ID_CPROC_CSDR_HRPD_SUSPEND_REQ",                         
    0x4025  : "ID_CSDR_CPROC_HRPD_SUSPEND_CNF",                         
    0x4026  : "ID_CPROC_CSDR_HRPD_RESUME_REQ",                          
    0x4027  : "ID_CSDR_CPROC_HRPD_RESUME_CNF",                          
    0x4028  : "ID_CSDR_CPROC_HRPD_GAP_START_IND",                       
    0x4029  : "ID_CSDR_CPROC_HRPD_GAP_END_IND",                         
    0x402A  : "ID_CSDR_CPROC_HRPD_WAKEUP_IND",                          
    0x402B  : "ID_CPROC_CSDR_HRPD_INT_REQ",                             
    0x402C  : "ID_CSDR_CPROC_HRPD_INT2_IND",                            
    0x402D  : "ID_CSDR_CPROC_HRPD_INT3_IND",                            
    0x402E  : "ID_CPROC_CSDR_HRPD_AFC_PPM_REQ",                         
    0x402F  : "ID_CSDR_CPROC_HRPD_AFC_PPM_IND",                         
    0x4030  : "ID_CSDR_CPROC_HRPD_ERROR_IND",                           
    0x4031  : "ID_CSDR_CPROC_HRPD_FRAME_HEAD_IND",                      
    0x4032  : "ID_CPROC_CSDR_HRPD_REL_ALL_REQ",                         
    0x4033  : "ID_CSDR_CPROC_HRPD_REL_ALL_CNF",                         
    0x4034  : "ID_CPROC_CSDR_HRPD_TIME_SYNC_REQ",                       
    0x4035  : "ID_CSDR_CPROC_HRPD_TIME_SYNC_IND",                       
    0x4036  : "ID_CPROC_CSDR_HRPD_CONNECTION_STATUS_REQ",               
    0x4037  : "ID_CPROC_CSDR_HRPD_CC_RECONFIG_REQ",                     
    0x4038  : "ID_CPROC_CSDR_HRPD_LPHY_WAKEUP_REQ",                     
    0x4039  : "ID_CSDR_CPROC_HRPD_LPHY_WAKEUP_CNF",                     
    0x403A  : "ID_CSDR_CPROC_HRPD_LPHY_WAKEUP_IND",                     
    0x403B  : "ID_CPROC_CSDR_HRPD_LPHY_SLEEP_REQ",                      
    0x403C  : "ID_CPROC_CSDR_HRPD_LPHY_CANCEL_WAKEUP_REQ",              
    0x403D  : "ID_CSDR_CPROC_HRPD_LPHY_CANCEL_WAKEUP_CNF",              
    0x403E  : "ID_CPROC_CSDR_HRPD_SAR_CTRL_REQ",                        
    0x403F  : "ID_CPROC_CSDR_HRPD_SET_TEMPERATURE_REQ",                 
    0x4040  : "ID_CPROC_CSDR_HRPD_WAKEUP_REQ",                          
    0x4041  : "ID_CPROC_CSDR_HRPD_TCH_FLOW_STATUS_NTF",
    0x4042  : "ID_CSDR_CHR_HRPD_MSG_IND",                        
    0x4043  : "ID_CPROC_CSDR_HRPD_SLAVE_TASK_END_REQ",                 
    0x4044  : "ID_CPROC_CSDR_HRPD_GET_LTE_TIMING_REQ",                          
    0x4045  : "ID_CSDR_CPROC_HRPD_VE_MODE_IND",
    0x4046  : "ID_CSDR_CPROC_HRPD_CAPABILITY_IND",                 
    0x4047  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_TIMING_REQ",                          
    0x4048  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_TIMING_CNF",
    0x4049  : "ID_CSDR_CPROC_HRPD_TIME_REFERENCE_IND",
    0x4100  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_REQ",
    0x4101  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_IND",
    0x4102  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_STOP_REQ",
    0x4103  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_STOP_CNF",
    0x4104  : "ID_CPROC_CSDR_HRPD_SIGNAL_LEVEL_REQ",
    0x4105  : "ID_CSDR_CPROC_HRPD_SIGNAL_LEVEL_IND",
    0x4106  : "ID_CPROC_CSDR_HRPD_MEAS_REQ",
    0x4107  : "ID_CPROC_CSDR_HRPD_STOP_MEAS_REQ",
    0x4108  : "ID_CSDR_CPROC_HRPD_MEAS_IND",
    0x4109  : "ID_CSDR_CRPOC_HRPD_MEAS_REPORT_IND",
    0x410A  : "ID_CPROC_CSDR_HRPD_MPS_REQ",
    0x410B  : "ID_CSDR_CPROC_HRPD_MPS_IND",
    0x410C  : "ID_CPROC_CSDR_HRPD_STOP_MPS_REQ",
    0x410D  : "ID_CSDR_CPROC_HRPD_STOP_MPS_CNF",
    0x410E  : "ID_CPROC_CSDR_HRPD_SM_RESET_REQ",
    0x410F  : "ID_CSDR_CPROC_HRPD_SM_RESET_CNF",
    0x4110  : "ID_CPROC_CSDR_HRPD_SLAVE_TIMING_REQ",
    0x4111  : "ID_CSDR_CPROC_HRPD_SLAVE_TIMING_CNF",
    0x4112  : "ID_CSDR_CPROC_HRPD_MEAS_BUF_FINISH_IND",
    0x4113  : "ID_CSDR_CPROC_HRPD_SLAVE_TIMING_IND",
    0x4114  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_SUSPEND_REQ",
    0x4115  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_SUSPEND_CNF",
    0x4116  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_RESUME_REQ",
    0x4117  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_RESUME_CNF",
    0x4118  : "ID_CPROC_CSDR_HRPD_SLAVE_TIMING_STOP_REQ",
    0x4119  : "ID_CSDR_CPROC_HRPD_PS_BUF_FINISH_IND",
}

cproc_csdr_hrpd_msg_enum_table_0101 = {
    0x4000  : "ID_CPROC_CSDR_HRPD_ACTIVE_REQ",                          
    0x4001  : "ID_CSDR_CPROC_HRPD_ACTIVE_CNF",                          
    0x4002  : "ID_CPROC_CSDR_HRPD_SLEEP_REQ",                           
    0x4003  : "ID_CSDR_CPROC_HRPD_SLEEP_CNF",                           
    0x4004  : "ID_CPROC_CSDR_HRPD_SET_MODE_REQ",                        
    0x4005  : "ID_CSDR_CPROC_HRPD_SET_MODE_CNF",                        
    0x4006  : "ID_CPROC_CSDR_HRPD_CM_RESET_REQ",                        
    0x4007  : "ID_CSDR_CPROC_HRPD_CM_RESET_CNF",                        
    0x4008  : "ID_CPROC_CSDR_HRPD_RXON_REQ",                            
    0x4009  : "ID_CSDR_CPROC_HRPD_RXON_CNF",                            
    0x400A  : "ID_CPROC_CSDR_HRPD_RXOFF_REQ",                           
    0x400B  : "ID_CSDR_CPROC_HRPD_RXOFF_CNF",                           
    0x400C  : "ID_CPROC_CSDR_HRPD_CC_START_REQ",                        
    0x400D  : "ID_CSDR_CPROC_HRPD_CC_START_CNF",                        
    0x400E  : "ID_CSDR_CPROC_HRPD_CC_DONE_IND",                         
    0x400F  : "ID_CPROC_CSDR_HRPD_CC_STOP_REQ",                         
    0x4010  : "ID_CSDR_CPROC_HRPD_CC_STOP_CNF",                         
    0x4011  : "ID_CPROC_CSDR_HRPD_AC_START_REQ",                        
    0x4012  : "ID_CSDR_CPROC_HRPD_AC_START_CNF",                        
    0x4013  : "ID_CSDR_CPROC_HRPD_AC_START_IND",                        
    0x4014  : "ID_CPROC_CSDR_HRPD_AC_STOP_REQ",                         
    0x4015  : "ID_CSDR_CPROC_HRPD_AC_STOP_CNF",                         
    0x4016  : "ID_CSDR_CPROC_HRPD_AC_ERROR_IND",                        
    0x4017  : "ID_CPROC_CSDR_HRPD_TCH_START_REQ",                       
    0x4018  : "ID_CSDR_CPROC_HRPD_TCH_START_CNF",                       
    0x4019  : "ID_CPROC_CSDR_HRPD_TCH_MAINTAIN_REQ",                    
    0x401A  : "ID_CSDR_CPROC_HRPD_TCH_MAINTAIN_IND",                    
    0x401B  : "ID_CPROC_CSDR_HRPD_TCH_RECONFIG_REQ",                    
    0x401C  : "ID_CSDR_CPROC_HRPD_TCH_RECONFIG_CNF",                    
    0x401D  : "ID_CPROC_CSDR_HRPD_TCH_STOP_REQ",                        
    0x401E  : "ID_CSDR_CPROC_HRPD_TCH_STOP_CNF",                        
    0x401F  : "ID_CPROC_CSDR_HRPD_SET_SYSTIME_REQ",                     
    0x4020  : "ID_CSDR_CPROC_HRPD_SET_SYSTIME_CNF",                     
    0x4021  : "ID_CPROC_CSDR_HRPD_TIME_REFERENCE_REQ",                  
    0x4022  : "ID_CSDR_CPROC_HRPD_DRCLOCK_IND",                         
    0x4023  : "ID_CSDR_CPROC_HRPD_DRC_IND",                             
    0x4024  : "ID_CPROC_CSDR_HRPD_SUSPEND_REQ",                         
    0x4025  : "ID_CSDR_CPROC_HRPD_SUSPEND_CNF",                         
    0x4026  : "ID_CPROC_CSDR_HRPD_RESUME_REQ",                          
    0x4027  : "ID_CSDR_CPROC_HRPD_RESUME_CNF",                          
    0x4028  : "ID_CSDR_CPROC_HRPD_GAP_START_IND",                       
    0x4029  : "ID_CSDR_CPROC_HRPD_GAP_END_IND",                         
    0x402A  : "ID_CSDR_CPROC_HRPD_WAKEUP_IND",                          
    0x402B  : "ID_CPROC_CSDR_HRPD_INT_REQ",                             
    0x402C  : "ID_CSDR_CPROC_HRPD_INT2_IND",                            
    0x402D  : "ID_CSDR_CPROC_HRPD_INT3_IND",                            
    0x402E  : "ID_CPROC_CSDR_HRPD_AFC_PPM_REQ",                         
    0x402F  : "ID_CSDR_CPROC_HRPD_AFC_PPM_IND",                         
    0x4030  : "ID_CSDR_CPROC_HRPD_ERROR_IND",                           
    0x4031  : "ID_CSDR_CPROC_HRPD_FRAME_HEAD_IND",                      
    0x4032  : "ID_CPROC_CSDR_HRPD_REL_ALL_REQ",                         
    0x4033  : "ID_CSDR_CPROC_HRPD_REL_ALL_CNF",                         
    0x4034  : "ID_CPROC_CSDR_HRPD_TIME_SYNC_REQ",                       
    0x4035  : "ID_CSDR_CPROC_HRPD_TIME_SYNC_IND",                       
    0x4036  : "ID_CPROC_CSDR_HRPD_CONNECTION_STATUS_REQ",               
    0x4037  : "ID_CPROC_CSDR_HRPD_CC_RECONFIG_REQ",                     
    0x4038  : "ID_CPROC_CSDR_HRPD_LPHY_WAKEUP_REQ",                     
    0x4039  : "ID_CSDR_CPROC_HRPD_LPHY_WAKEUP_CNF",                     
    0x403A  : "ID_CSDR_CPROC_HRPD_LPHY_WAKEUP_IND",                     
    0x403B  : "ID_CPROC_CSDR_HRPD_LPHY_SLEEP_REQ",                      
    0x403C  : "ID_CPROC_CSDR_HRPD_LPHY_CANCEL_WAKEUP_REQ",              
    0x403D  : "ID_CSDR_CPROC_HRPD_LPHY_CANCEL_WAKEUP_CNF",              
    0x403E  : "ID_CPROC_CSDR_HRPD_SAR_CTRL_REQ",                        
    0x403F  : "ID_CPROC_CSDR_HRPD_SET_TEMPERATURE_REQ",                 
    0x4040  : "ID_CPROC_CSDR_HRPD_WAKEUP_REQ",                          
    0x4041  : "ID_CPROC_CSDR_HRPD_TCH_FLOW_STATUS_NTF",
    0x4042  : "ID_CSDR_CHR_HRPD_MSG_IND",                        
    0x4043  : "ID_CPROC_CSDR_HRPD_SLAVE_TASK_END_REQ",                 
    0x4044  : "ID_CPROC_CSDR_HRPD_GET_LTE_TIMING_REQ",                          
    0x4045  : "ID_CSDR_CPROC_HRPD_VE_MODE_IND",
    0x4046  : "ID_CSDR_CPROC_HRPD_CAPABILITY_IND",                 
    0x4047  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_TIMING_REQ",                          
    0x4048  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_TIMING_CNF",
    0x4049  : "ID_CPROC_CSDR_HRPD_ET_DELAY_REQ",
    0x404A  : "ID_CSDR_CPROC_HRPD_TIME_REFERENCE_IND",
    0x404B  : "ID_CPROC_CSDR_HRPD_SAR_ADDITIONAL_REQ",
    0x404C  : "ID_CSDR_CPROC_TX_STATE_IND",
    0x4100  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_REQ",
    0x4101  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_IND",
    0x4102  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_STOP_REQ",
    0x4103  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_STOP_CNF",
    0x4104  : "ID_CPROC_CSDR_HRPD_SIGNAL_LEVEL_REQ",
    0x4105  : "ID_CSDR_CPROC_HRPD_SIGNAL_LEVEL_IND",
    0x4106  : "ID_CPROC_CSDR_HRPD_MEAS_REQ",
    0x4107  : "ID_CPROC_CSDR_HRPD_STOP_MEAS_REQ",
    0x4108  : "ID_CSDR_CPROC_HRPD_MEAS_IND",
    0x4109  : "ID_CSDR_CRPOC_HRPD_MEAS_REPORT_IND",
    0x410A  : "ID_CPROC_CSDR_HRPD_MPS_REQ",
    0x410B  : "ID_CSDR_CPROC_HRPD_MPS_IND",
    0x410C  : "ID_CPROC_CSDR_HRPD_STOP_MPS_REQ",
    0x410D  : "ID_CSDR_CPROC_HRPD_STOP_MPS_CNF",
    0x410E  : "ID_CPROC_CSDR_HRPD_SM_RESET_REQ",
    0x410F  : "ID_CSDR_CPROC_HRPD_SM_RESET_CNF",
    0x4110  : "ID_CPROC_CSDR_HRPD_SLAVE_TIMING_REQ",
    0x4111  : "ID_CSDR_CPROC_HRPD_SLAVE_TIMING_CNF",
    0x4112  : "ID_CSDR_CPROC_HRPD_MEAS_BUF_FINISH_IND",
    0x4113  : "ID_CSDR_CPROC_HRPD_SLAVE_TIMING_IND",
    0x4114  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_SUSPEND_REQ",
    0x4115  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_SUSPEND_CNF",
    0x4116  : "ID_CPROC_CSDR_HRPD_PILOT_SEARCH_RESUME_REQ",
    0x4117  : "ID_CSDR_CPROC_HRPD_PILOT_SEARCH_RESUME_CNF",
    0x4118  : "ID_CPROC_CSDR_HRPD_SLAVE_TIMING_STOP_REQ",
    0x4119  : "ID_CSDR_CPROC_HRPD_PS_BUF_FINISH_IND",
}

def get_cproc_csdr_hrpd_msg_str( MsgId, usVersion):
    if (usVersion == 0x0000):
        for MsgIdIndex in cproc_csdr_hrpd_msg_enum_table_0000.keys():
            if MsgIdIndex == MsgId:
                return cproc_csdr_hrpd_msg_enum_table_0000[MsgIdIndex]
        return "unknown"
    elif (usVersion == 0x0100 or usVersion == 0x0103):
        for MsgIdIndex in cproc_csdr_hrpd_msg_enum_table_0100.keys():
            if MsgIdIndex == MsgId:
                return cproc_csdr_hrpd_msg_enum_table_0100[MsgIdIndex]
        return "unknown"
    elif (usVersion == 0x0101):
        for MsgIdIndex in cproc_csdr_hrpd_msg_enum_table_0101.keys():
            if MsgIdIndex == MsgId:
                return cproc_csdr_hrpd_msg_enum_table_0101[MsgIdIndex]
        return "unknown"
    elif (usVersion == 0x0102):
        for MsgIdIndex in cproc_csdr_hrpd_msg_enum_table_0101.keys():
            if MsgIdIndex == MsgId:
                return cproc_csdr_hrpd_msg_enum_table_0101[MsgIdIndex]
        return "unknown"
    else:
        return "unknown"